%{?!python_module:%define python_module() python3-%{**}}
%bcond_without  test
Name:           python-cassowary
Version:        0.5.2
Release:        %mkrel 6
Summary:        A pure Python implementation of the Cassowary constraint solving algorithm
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/brodderickrodriguez/cassowary
Source:         https://files.pythonhosted.org/packages/source/c/cassowary/cassowary-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildArch:      noarch


%global _description\
A pure Python implementation of the Cassowary constraint-solving algorithm.\
Cassowary is the algorithm that forms the core of the OS X and iOS visual\
layout mechanism.

%description %_description

%package -n python3-cassowary
Summary: A pure Python implementation of the Cassowary constraint solving algorithm
%description -n python3-cassowary %_description

%prep
%setup -q -n cassowary-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cassowary

%if %{with test}
%check
%pytest
%endif

%files -n python3-cassowary -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.5.2-6.mga10
+ Revision: 2238225
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.5.2-5.mga10
+ Revision: 2154548
- rebuild for python3.13

* Sun Dec 22 2024 papoteur <papoteur> 0.5.2-4.mga10
+ Revision: 2129120
- use pytest

* Wed Mar 23 2022 umeabot <umeabot> 0.5.2-3.mga10
+ Revision: 1823972
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.5.2-2.mga9
+ Revision: 1785628
- rebuild for python-3.10

* Fri Aug 21 2020 joequant <joequant> 0.5.2-1.mga9
+ Revision: 1617271
- imported package python-cassowary

